rust-ruma-common (0.14.1+ds-14) unstable; urgency=medium

  * update watch file:
    + use Custom-Version
    + limit to STABLE_VERSION
  * extend patch 2003_trybuild_test to cover another flaky test;
    closes: bug#1139489, thanks to Santiago Vila
  * reorganize patch naming and numbering
  * use debhelper compatibility level 14 (not 13)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Jun 2026 10:18:45 +0200

rust-ruma-common (0.14.1+ds-13) unstable; urgency=medium

  * drop patch 2001_html5ever, obsoleted by Debian package changes

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2026 21:11:03 +0200

rust-ruma-common (0.14.1+ds-12) unstable; urgency=medium

  * drop patch 2001_rand, obsoleted by Debian package changes
  * add patch 1001 to accept newer major version of crate toml;
    closes: bug#1135286, thanks to Peter Michael Green
  * update git-buildpackage config: use branch debian/unstable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 May 2026 09:48:34 +0200

rust-ruma-common (0.14.1+ds-11) unstable; urgency=medium

  * update patch 2003
    to skip checking too brittle trybuild tests (not try patch them)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2026 08:09:28 +0200

rust-ruma-common (0.14.1+ds-10) unstable; urgency=medium

  * fix/update homepage URI
  * add patches cherry-picked upstream to update trybuild outputs;
    closes: bug#1134318, thanks to Santiago Vila
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.4
  * add patch cherry-picked upstream
    to stop explicitly use crate js-sys;
    stop (build-)depend on package for crate js-sys
  * add patch cherry-picked upstream
    to use newer minor version of crates getrandom rand,
    obsoleting patch 1001_getrandom;
    relax (build-)dependencies for crate rand
  * add patch 2001_rand to accept older revision of crate rand
  * add patch 2003 to update trybuild output

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Apr 2026 09:57:18 +0200

rust-ruma-common (0.14.1+ds-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Mar 2026 18:52:29 +0000

rust-ruma-common (0.14.1+ds-9) experimental; urgency=medium

  * add patch 1001 to use newer minor versions of crate getrandom;
    tighten (build-)dependencies for crates getrandom rand;
    update copyright info: update coverage;
    closes: bug#1130007, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 Mar 2026 10:53:39 +0100

rust-ruma-common (0.14.1+ds-8) unstable; urgency=medium

  * update copyright info:
    + really avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
  * drop patches 2001_js_option 2001_smol_macros,
    obsoleted by Debian package changes;
    tighten build-dependency for crate js_option;
    build- and autopkgtest-depend on packages
    for crates macro_rules_attribute smol-macros (not tokio)
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * autopkgtest-check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Feb 2026 16:44:14 +0100

rust-ruma-common (0.14.1+ds-7) unstable; urgency=medium

  * have binary package librust-ruma-common-dev break
    librust-ruma-identifiers-validation-dev librust-ruma-macros-dev
    librust-ruma-push-gateway-api-dev librust-ruma-state-res-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jan 2026 09:37:15 +0100

rust-ruma-common (0.14.1+ds-6) unstable; urgency=medium

  * fix autpkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jan 2026 09:09:34 +0100

rust-ruma-common (0.14.1+ds-5) unstable; urgency=medium

  * fix patch 2001_date_header

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Jan 2026 12:51:26 +0100

rust-ruma-common (0.14.1+ds-4) unstable; urgency=medium

  * provide and autopkgtest crates
    ruma ruma-appservice-api ruma-client-api ruma-federation-api
    ruma-identity-service-api ruma-push-gateway-api ruma-state-res
  * (build-)depend on packages
    for crates headers http-auth httparse mime
  * build- and autopkgtest-depend on packages
    for crates serde_yaml similar test-log
  * depend (not only build- and no longer autopkgtest-depend)
    on packages for crates assign maplit
  * tighten (build-)dependencies for crate url;
  * add patch 2001_date_header
    to avoid not-in-Debian crate dater_header
  * add patch 2002_no_broken_test
    to avoid workspace-only test
  * extend patch 2002_no_bench to cover crate ruma-state-res
  * stop superfluously autopkgtest-depend on package for crate http

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Jan 2026 18:42:13 +0100

rust-ruma-common (0.14.1+ds-3) unstable; urgency=medium

  * add patch 2002_no_bench to avoid benches
  * add patch 2001_js_options
    to accept older minor version of crate js_option
  * provide and autopkgtest crate ruma-events;
    (build-)depend on packages
    for crates js_option language-tags pulldown-cmark

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 19:59:16 +0100

rust-ruma-common (0.14.1+ds-2) unstable; urgency=medium

  * provide and autopkgtest crates ruma-html ruma-signatures;
    add patch 2001_html5ever
    to use older minor version of crate html5ever;
    (build-)depend on packages
    for crates ed25519-dalek html5ever memchr pkcs8 sha2;
    build- and autopkgtest-depend on packages for crate insta

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 18:43:57 +0100

rust-ruma-common (0.14.1+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * friendly packaging take-over:
    + set myself as maintainer
    + drop Uploaders field
    + update Vcs-* fields
    thanks to Matthias Geiger and the Rust team for past contributions
  * update copyright info:
    + repackage upstream source to avoid any .git* files
    + update Upstream-Name to general project name
    + fix and tighten whitespace
    + list upstream issue tracker as Upstream-Contact
    + use License-Grant and Reference fields;
      silence lintian regarding Reference field (see bug#786450)
    + update coverage
    + relicense packaging under GPL-3+
    + use shortname Expat
  * add git-buildpackage config:
    + use pristine-tar
    + sign tags
    + filter out any .git files
    + use DEP-14 branch names
  * update watch file:
    + track Github source (not crates.io distro)
    + use Uversion-Mangle: auto (not custom regex)
    + track release tags for crate ruma (not ruma-common)
    + use Dversion-Mangle: auto
    + use Repacksuffix: +ds
  * use build-system rust (not cargo);
    drop related now unused packaging hint files;
    build-depend on dh-sequence-rust
    (not cargo dh-sequence-cargo rustc libstd-rust-dev);
    autopkgtest-depend on dh-rust (not dh-cargo rustc);
    build-depend unconditionally on rust crates
    (i.e. without !nocheck exception)
  * provide binary crate package as arch-all;
    stop set Multi-Arch: same
    (and neither Multi-Arch: foreign,
    incompatible with arch-any packaged crates)
  * resolve binary version from crate metadata
  * stop provide unversioned, unstable-major- or revision-level features
  * bump project versions in virtual packages and autopkgtests
  * stop provide features
    compat criterion events getrandom markdown pulldown-cmark
    unstable-exhaustive-types unstable-msc1767 unstable-msc2285
    unstable-msc2448 unstable-msc2676 unstable-msc2677 unstable-msc2746
    unstable-msc3245 unstable-msc3246 unstable-msc3381 unstable-msc3440
    unstable-msc3488 unstable-msc3551 unstable-msc3552 unstable-msc3553
    unstable-msc3554 unstable-msc3786 unstable-msc3827 unstable-pdu
    unstable-pre-spec unstable-sanitize;
    provide features
    compat-arbitrary-length-ids compat-empty-string-null compat-null
    compat-optional compat-server-signing-key-version js
    unstable-msc2666 unstable-msc3768 unstable-msc3930 unstable-msc3931
    unstable-msc3932 unstable-msc4108 unstable-msc4140 unstable-msc4186
    unstable-msc4306 unstable-msc4380
  * embed and autopkgtest crates ruma-identifiers-validation ruma-macros
  * update patches;
    add debian/patches/README to describe patch naming micro-policy
  * (build-)depend on packages
    for crates assign as_variant cfg-if getrandom js-sys konst
    proc-macro2 proc-macro-create quote serde_html_form syn time
    toml web-time zeroize;
    build- and autopkgtest-depend on packages
    for crates assert_matches2 maplit tokio;
    build-depend and relax autopkgtest-dependency on package
    for crate trybuild;
    build-depend (not only depend) on package for crate uuid;
    depend (not autopkgtest-depend) and tighten build-dependency
    on package for crate http;
    build-depend and bump dependency on package for crate thiserror;
    build-depend and relax dependency on package for crate rand;
    tighten (build-)dependencies for crate tracing;
    relax (build-)dependencies
    for crates bytes percent-encoding regex serde serde_json url;
    stop (build-)depend on packages
    for crates criterion itoa js_option;
    stop depend on packages for crates html5ever phf pulldown-cmark;
    stop autopkgtest-depend on package for crate assert_matches
  * add packaging source helper script copyright-check
  * improve short and long description
  * stop superfluously set field Priority
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Jan 2026 15:25:49 +0100

rust-ruma-common (0.10.5-12) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.7.11
  * update tests for rustc 1.90
  * override d/t/control to remove all broken feature combinations

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 26 Oct 2025 18:29:57 +0100

rust-ruma-common (0.10.5-11) unstable; urgency=medium

  * Team upload
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.7.11
  * Build with rust-pulldown-cmark 0.13

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 3 Oct 2025 19:35:31 -0400

rust-ruma-common (0.10.5-10) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.7.8
  * Relax dependency on pulldown-cmark.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 23 Sep 2025 18:12:16 +0000

rust-ruma-common (0.10.5-9) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.7.6
  * Bump html5ever to 0.27 (Closes: #1094271).

 -- Peter Michael Green <plugwash@debian.org>  Sun, 26 Jan 2025 18:36:50 +0000

rust-ruma-common (0.10.5-8) unstable; urgency=medium

  * Add patch to build with pulldown-cmark 0.10

 -- Matthias Geiger <werdahias@debian.org>  Sat, 21 Dec 2024 13:33:57 +0100

rust-ruma-common (0.10.5-7) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.7.0
  * update to base64 0.22

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 05 Oct 2024 15:58:07 +0200

rust-ruma-common (0.10.5-6) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.7.0
  * Bump criterion to 0.5 (Closes: #1074105)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Sep 2024 07:01:25 +0000

rust-ruma-common (0.10.5-5) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.6.1
  * Bump indexmap dependency to 2.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 16 May 2024 04:21:45 +0000

rust-ruma-common (0.10.5-4) unstable; urgency=medium

  * Team upload.
  * Package ruma-common 0.10.5 from crates.io using debcargo 2.6.0
  * Move base64 changes to a seperate patch as code changesare involved.
  * Apply upstream patch for compatibility with newer versions of the regex
    crate.
  * Disable a "compile_fail" test that is sensitive to the version of the rust
    compiler.
  * Bump phf dependency to 0.11.1.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 25 Jul 2023 20:22:01 +0000

rust-ruma-common (0.10.5-3) unstable; urgency=medium

  * Team upload.
  * Bump base64 to 0.21

 -- Fabian Grünbichler <f.gruenbichler@proxmox.com>  Thu, 15 Jun 2023 14:35:14 +0000

rust-ruma-common (0.10.5-2) unstable; urgency=medium

  * Package ruma-common 0.10.5 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Wed, 08 Feb 2023 21:25:07 +0100

rust-ruma-common (0.10.5-1) unstable; urgency=medium

  * Package ruma-common 0.10.5 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Wed, 28 Dec 2022 16:10:02 +0100

